## pg-rage-terminator 0.1.6

=== Makefile ===
MODULES = pg_rage_terminator
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pg-rage-terminator 0.1.4

=== debian/changelog ===
pg-rage-terminator (0.1.4-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Upload with 9.5 support.
  * Add debian/tests/smoketest.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 20 Jan 2016 09:13:43 +0100

pg-rage-terminator (0.1.4-1) unstable; urgency=medium

  * Imported Upstream version 0.1.4

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Apr 2015 15:01:21 +0200

pg-rage-terminator (0.1.3-1) unstable; urgency=medium

  * Imported Upstream version 0.1.3
  * Update copyright information.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Apr 2015 14:55:31 +0200

pg-rage-terminator (0.1.2-1) unstable; urgency=medium

  * New upstream release
  * Correct VCS-Git and VCS-Browser.
  * Remove postgresql-9.3 binary

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Apr 2015 13:36:22 +0200

pg-rage-terminator (0.1.1-1) unstable; urgency=low

  * Initial release

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 20 Apr 2015 19:42:58 +0200

=== debian/control ===
Source: pg-rage-terminator
Section: database
Priority: optional
Maintainer: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all
Standards-Version: 3.9.6
Homepage: https://github.com/disco-stu/pg_rage_terminator
Vcs-Git: https://github.com/disco-stu/pg-rage-terminator-pkg.git
Vcs-Browser: https://github.com/disco-stu/pg-rage-terminator-pkg

Package: pg-rage-terminator-9.5
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 postgresql-9.5
Description: PostgreSQL background worker that kill random sessions.
 pg-rage-terminator is a custom background worker which is able to kill random
 PostgreSQL backends.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	 +pg_buildext build build-%v

override_dh_auto_test:
	 # nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	 +pg_buildext install build-%v pg-rage-terminator-%v

override_dh_installdocs:
	 dh_installdocs --all README.*

override_dh_auto_clean:
	 +pg_buildext clean build-%v

%:
	 dh $@

## pg-rage-terminator 0.1.6

=== debian/changelog ===
pg-rage-terminator (0.1.6-2) unstable; urgency=medium

  * Upload with PostgreSQL 10 support.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 27 Sep 2017 21:23:02 +0200

pg-rage-terminator (0.1.6-1) unstable; urgency=medium

  * New upstream version.
    - Bugfix for PostgreSQL 9.4.
    - Drop support for PostgreSQL 9.3.
  * Bump Standards-Version to 4.1.0.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 27 Sep 2017 18:08:40 +0200

pg-rage-terminator (0.1.5-1) unstable; urgency=medium

  * New upstream version.
    - Bugfix in kill query.
    - Support for PostgreSQL 10
  * Add debian/watch file.
  * Bump Standards-Version to 4.0.0.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 11 Sep 2017 15:12:01 +0200

pg-rage-terminator (0.1.4-3) unstable; urgency=medium

  * Upload with 9.6 support.
  * Bump Standards-Version to 3.9.8.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 30 Sep 2016 11:07:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Build-Depends:
  debhelper (>= 9),
  postgresql-server-dev-all
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Homepage: https://github.com/disco-stu/pg_rage_terminator
 Vcs-Git: https://github.com/disco-stu/pg-rage-terminator-pkg.git
 Vcs-Browser: https://github.com/disco-stu/pg-rage-terminator-pkg
 
-Package: pg-rage-terminator-9.5
+Package: pg-rage-terminator-10
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- postgresql-9.5
+ postgresql-10
 Description: PostgreSQL background worker that kill random sessions.
  pg-rage-terminator is a custom background worker which is able to kill random
  PostgreSQL backends.

## pg-rage-terminator 0.1.7

=== debian/changelog ===
pg-rage-terminator (0.1.7-12) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117283)
  * Add ${postgresql:Breaks}.
  * Test-Depend on postgresql-common-dev.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:27:47 +0200

pg-rage-terminator (0.1.7-11) unstable; urgency=medium

  * Team upload with PostgreSQL 18 support.

 -- Christoph Berg <myon@debian.org>  Sun, 04 May 2025 15:28:25 +0200

pg-rage-terminator (0.1.7-10) unstable; urgency=medium

  * Team upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 21:49:59 +0200

pg-rage-terminator (0.1.7-9) unstable; urgency=medium

  * Team upload.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 20:03:56 +0200

pg-rage-terminator (0.1.7-8) unstable; urgency=medium

  * Team upload.
  * PG16: Mark pg_rage_terminator_main for export.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Jul 2023 14:53:22 +0200

pg-rage-terminator (0.1.7-7) unstable; urgency=medium

  * Team upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:57:03 +0200

pg-rage-terminator (0.1.7-6) unstable; urgency=medium

  * Team upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 14:28:52 +0200

pg-rage-terminator (0.1.7-5) unstable; urgency=medium

  * Team upload.
  * R³: no.
  * Add test-dependency on postgresql-common (>= 219~) for pg_buildext
    virtualenv.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Oct 2020 13:36:30 +0200

pg-rage-terminator (0.1.7-4) unstable; urgency=medium

  * Team upload for PostgreSQL 13.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.1.1, no changes needed.

  [ Christoph Berg ]
  * Use dh --with pgxs and run tests at build-time as well.
  * DH 13.
  * debian/tests: Drop dependency on postgresql-server-dev-all.
  * debian/tests: Use "pg_buildext virtualenv".

 -- Christoph Berg <myon@debian.org>  Mon, 05 Oct 2020 14:27:32 +0200

pg-rage-terminator (0.1.7-3) unstable; urgency=medium

  * Team upload for PostgreSQL 12.
  * debian/tests/smoketest: Actually fail on errors.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Oct 2019 13:44:06 +0100

pg-rage-terminator (0.1.7-2) unstable; urgency=medium

  * Team upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Oct 2018 22:29:31 +0200

pg-rage-terminator (0.1.7-1) unstable; urgency=medium

  * Upload with PostgreSQL 11 support.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 06 Jul 2018 18:04:27 +0200

=== debian/control ===
Source: pg-rage-terminator
Section: database
Priority: optional
Maintainer: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/disco-stu/pg_rage_terminator
Vcs-Git: https://github.com/disco-stu/pg-rage-terminator-pkg.git
Vcs-Browser: https://github.com/disco-stu/pg-rage-terminator-pkg

Package: pg-rage-terminator-18
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL background worker that kill random sessions.
 pg-rage-terminator is a custom background worker which is able to kill random
 PostgreSQL backends.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	 dh_installdocs --all README.*

override_dh_pgxs_test:
	echo "psql -Xc 'SELECT pg_sleep(3)' 2>&1 | grep 'FATAL:  terminating connection due to administrator command'" | \
	LANG=C.UTF-8 pg_buildext \
		-o "shared_preload_libraries=pg_rage_terminator" \
		-o "pg_rage_terminator.chance=100" \
		-o "pg_rage_terminator.interval=1" \
		virtualenv . . pg-rage-terminator-%v

%:
	 dh $@ --with pgxs

=== debian/tests/control ===
Depends:
 postgresql-common (>= 219~),
 postgresql-common-dev,
 @,
Tests:
 smoketest,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pg_rage_terminator-$1\.tar\.gz/ \
  https://github.com/disco-stu/pg_rage_terminator/tags .*/v?(\d\S+)\.tar\.gz
